Agent Insight Monitors
createRun
Start an Agent Insights run for a monitor.
標頭參數
Operation-Id
string
Client-generated unique ID for idempotent retries. When absent, the server creates the job unconditionally.
路徑參數
monitor_id
string
必要
The identifier of the monitor.
查詢參數
api-version
string
必要
The API version to use for this operation.
要求本文
lookback_hours
number
Optional finite positive number of hours of trace history to analyze, up to 2,160. Defaults to 168.
回覆
The request has succeeded and a new resource has been created as a result.
標題
Operation-Location
string
必要
URL to poll for the job status.
Location
string
必要
URL of the created job resource.
主體
id
string
必要
Server-assigned unique identifier.
inputs
AgentInsightRunInputs
Inputs recorded for an Agent Insights run.
lookback_hours
number
Optional finite positive number of hours of trace history to analyze, up to 2,160. Defaults to 168.
result
AgentInsightRunResult
Result statistics produced when an agent insight run succeeds.
traces_in_window
integer
必要
The number of traces in the analyzed time window.
traces_analyzed
integer
必要
The number of traces analyzed by the run.
insights_created
integer
必要
The number of insights created by the run.
insights_updated
integer
必要
The number of insights updated by the run.
insights_reopened
integer
必要
The number of insights reopened by the run.
token_usage
AgentInsightTokenUsage
必要
Token usage for an Agent Insights run.
input_tokens
integer
必要
The number of input tokens used by the run.
output_tokens
integer
必要
The number of output tokens used by the run.
cached_tokens
integer
The number of input tokens served from cache.
total_tokens
integer
必要
The total number of tokens used by the run.
status
string | enum
必要
Extensible status values shared by Foundry jobs.
enum
error
OpenAI.Error
misalignment
OpenAI.MisalignmentErrorDetailsResource
error_type
string | enum
enum
detailed_explanation
string
The public explanation for this block.
steer
OpenAI._MisalignmentSteer
message
string
必要
The public continuation instruction.
details
OpenAI.Error[]
Additional errors that contributed to this failure.
additionalInfo
object
Additional structured information about the failure.
debugInfo
object
Diagnostic information supplied by the service for troubleshooting.
monitor_id
string
必要
The Agent Insights monitor this run belongs to.
agent_name
string
必要
The agent whose traces are analyzed by this run.
trigger
string | enum
必要
The trigger that started an agent insight run.
enum
model_deployment_name
string
必要
The model deployment used to analyze traces for this run.
Request
POST /agent_insight_monitors/{monitor_id}/runs HTTP/1.1
回應
Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json